<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinessContactInfo.mapper.BussinessContactInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessContactInfoResultMap" type="org.springblade.modules.guosen.bussinessContactInfo.entity.BussinessContactInfo">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="bussiness_info_id" property="bussinessInfoId"/>
        <result column="contact_type" property="contactType"/>
        <result column="legal_name" property="legalName"/>
        <result column="legal_licence_type" property="legalLicenceType"/>
        <result column="legal_licence_no" property="legalLicenceNo"/>
        <result column="legal_licence_front_url" property="legalLicenceFrontUrl"/>
        <result column="legal_licence_back_url" property="legalLicenceBackUrl"/>
        <result column="contact_name" property="contactName"/>
        <result column="contact_licence_no" property="contactLicenceNo"/>
        <result column="contact_mobile" property="contactMobile"/>
        <result column="contact_email" property="contactEmail"/>
        <result column="service_phone" property="servicePhone"/>
    </resultMap>


    <select id="selectBussinessContactInfoPage" resultMap="bussinessContactInfoResultMap">
        select * from cyzh_bussiness_contact_info where is_deleted = 0
    </select>

</mapper>
